Bug 887717 - [WebTrans] enable 'Enter' key saves immediately will make pager input disfunctional
[WebTrans] enable 'Enter' key saves immediately will make pager input disfunc...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.1
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-16 23:30 EST by Patrick Huang
Modified: 2013-02-25 23:06 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1-SNAPSHOT (20121217-1536)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 23:06:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-12-16 23:30:50 EST
Description of problem:
When 'Enter' key saves immediately option is on, input page number in the editor pager will not take effect.

Version-Release number of selected component (if applicable):
2.0.3-SNAPSHOT


How reproducible:
Always

Steps to Reproduce:
1. Go to WebTrans editor
2. Enable 'Enter' key saves immediately option
3. Type a page number in the editor page and hit save
  
Actual results:
It triggers editor save and move to next entry function.

Expected results:
While focus is on pager, it should go to the specified page.

Additional info:
Comment 1 Patrick Huang 2012-12-17 01:11:26 EST
committed into master:
https://github.com/zanata/zanata/commit/358051ec7ae92b0c64c1c8ce1bc0fc71c30a540c
Comment 2 Ding-Yi Chen 2012-12-18 01:26:37 EST
VERIFIED with Zanata version 2.1-SNAPSHOT (20121217-1536)

Note You need to log in before you can comment on or make changes to this bug.